Skip to main content

Get Current Take-Profit/Stop-Loss Order List

Response Example

{
"success": true,
"code": 0,
"data": [
{
"id": 357859177,
"orderId": "720733527158642176",
"symbol": "BTC_USDT",
"positionId": "1027177055",
"lossTrend": 1,
"profitTrend": 1,
"stopLossPrice": 111325,
"takeProfitPrice": 113573.9,
"state": 3,
"triggerSide": 2,
"positionType": 1,
"vol": 2,
"realityVol": 2,
"placeOrderId": "720744238723187712",
"errorCode": 0,
"version": 2,
"isFinished": 1,
"priceProtect": 0,
"profitLossVolType": "SEPARATE",
"takeProfitVol": 2,
"stopLossVol": 2,
"createTime": 1757506663000,
"updateTime": 1757509217000,
"volType": 1,
"takeProfitReverse": 2,
"stopLossReverse": 2,
"closeTryTimes": 0,
"reverseTryTimes": 0,
"reverseErrorCode": 0,
"takeProfitType": 0,
"profit_LOSS_VOL_TYPE_SAME": "SAME",
"profit_LOSS_VOL_TYPE_DIFFERENT": "SEPARATE"
}
]
}
  • GET /api/v1/private/stoporder/open_orders

Required Permission: View Order Details

Request Parameters:

ParameterTypeRequiredDescription
symbolstringfalseContract

Response Parameters:

ParameterTypeDescription
idlongTP/SL order id
symbolstringContract
orderIdlongLimit order id; if placed by position, this value is 0
positionIdlongPosition id
lossTrendintStop-loss type:1 latest price 2 fair price 3 index price
profitTrendintTake-profit type:1 latest price 2 fair price 3 index price
stopLossPricedecimalStop-loss price
takeProfitPricedecimalTake-profit price
stateintStatus,1: untriggered,2: canceled,3: executed,4: invalidated,5: execution failed
triggerSideintTrigger direction,0: not triggered,1: take-profit,2: stop-loss
positionTypeintPosition type,1: long,2: short
voldecimalOrder quantity
realityVoldecimalActual placed quantity
placeOrderIdlongOrder id after successful placement
errorCodeintError code,0: normal,others see error code details
isFinishedintWhether order is in final state (for query),0: non-final,1: final
versionintVersion
priceProtectintTrigger protection:"1","0"
profitLossVolTypestringTP/SL quantity type (SAME: same quantity;SEPARATE:different quantities)
takeProfitVoldecimalTake-profit quantity (when profitLossVolType == SEPARATE)
stopLossVoldecimalStop-loss quantity (when profitLossVolType == SEPARATE)
createTimelongCreated time
updateTimelongUpdated time
volTypeintQuantity type 1、partial TP/SL 2、position TP/SL
takeProfitReverseintTake-profit reverse: 1 yes 2 no
stopLossReverseintStop-loss reverse: 1 yes 2 no
takeProfitTypeintTake-profit type 0 - market TP 1 - limit TP
takeProfitOrderPricedecimalLimit TP order price
stopLossTypelongStop-loss type 0 - market SL 1 - limit SL
stopLossOrderPricedecimalLimit SL order price